# Changelog

## 2025-04-15 - 4.0.16 - fix(dependencies)
Update dependency references and bump version numbers; adjust workflow and template commands

- Bump versions for devDependencies (@git.zone/tsbuild, @git.zone/tsrun, @git.zone/tstest, @push.rocks/tapbundle, and @types/node) and dependencies (@push.rocks/lik, @push.rocks/smartfile, @push.rocks/smartfm, @push.rocks/smarthbs, @push.rocks/smartinteract, @push.rocks/smartobject, @push.rocks/smartpromise, @push.rocks/smartshell, and @push.rocks/smartyaml)
- Replace smartparam with smartobject in both plugins and core modules
- Fix workflow install command by renaming '@gitzone/tsdoc' to '@git.zone/tsdoc'
- Update template runafter command from 'npm install' to 'echo "runafter"'

## 2024-05-29 - 4.0.15 - configuration updates
Updates to the project’s configuration files, description and build settings.

- Updated description.
- Updated tsconfig (applied in multiple commits).
- Updated npmextra.json (githost).

## 2023-08-18 - 4.0.14 - core
Improved core functionality.

- Fixed core update.

## 2023-07-25 - 4.0.13 - core & organization
Enhancements in core behavior and organizational structure.

- Fixed core update.
- Switched to new organization scheme.

## 2023-06-25 - 4.0.12 - core
Core improvements.

- Fixed core update.

## 2023-06-25 - 4.0.11 - core
Core improvements.

- Fixed core update.

## 2023-06-25 - 4.0.10 - core
Core improvements.

- Fixed core update.

## 2023-06-25 - 4.0.9 - core
Core improvements.

- Fixed core update.

## 2023-06-25 - 4.0.8 - core
Core improvements.

- Fixed core update.

## 2023-06-25 - 4.0.7 - core
Core improvements.

- Fixed core update.

## 2023-06-25 - 4.0.6 - core
Core improvements.

- Fixed core update.

## 2023-06-25 - 4.0.5 - core
Core improvements.

- Fixed core update.

## 2023-06-24 - 4.0.4 - core
Core improvements.

- Fixed core update.

## 2023-06-24 - 4.0.3 - core
Core improvements.

- Fixed core update.

## 2022-06-25 - 4.0.2 - core
Core improvements.

- Fixed core update.

## 2022-06-25 - 4.0.1 - core
Core improvements.

- Fixed core update.

## 2022-06-25 - 4.0.0 - core
Core improvements.

- Fixed core update.

## 2022-06-25 - 3.0.10 - core (breaking)
A breaking change was introduced affecting the module format.

- BREAKING CHANGE (core): switched to ESM.

## 2020-01-31 - 3.0.9 - core
Routine core update.

- Fixed core update.

## 2019-10-11 - 3.0.8 - core
Routine core update.

- Fixed core update.

## 2019-10-02 - 3.0.7 - core
Routine core update.

- Fixed core update.

## 2019-09-10 - 3.0.6 - core
Routine core update.

- Fixed core update.

## 2019-09-10 - 3.0.5 - core
Routine core update.

- Fixed core update.

## 2019-09-10 - 3.0.4 - core
Routine core update.

- Fixed core update.

## 2019-09-10 - 3.0.3 - general updates
Updates to project dependencies and general code improvements.

- Performed update.
- Updated dependencies.

## 2019-02-17 - 3.0.2 - core
Routine core update.

- Fixed core update.

## 2019-01-27 - 3.0.1 - core
Routine core update.

- Fixed core update.

## 2018-10-04 - 3.0.0 - core
Changes from merging and core improvements.

- Fixed core update.
- Merged master branch changes and performed additional updates.

## 2018-08-30 - 2.0.2 - structure (breaking)
A breaking change in the project’s structure.

- BREAKING CHANGE (structure): templates now take their path within the constructor.

## 2018-08-27 - 2.0.1 - minor
Versions in this range involved only version bump commits with no significant changes.

- No significant changes.

## 2017-08-09 - 1.0.14 - scope (breaking)
A breaking change in the package scope was applied.

- BREAKING CHANGE (scope): switched to new @pushrocks scope.

## 2017-08-09 - 1.0.13 - core
Improvements to variable handling.

- Fixed variable distribution.

## 2017-07-28 - 1.0.12 - dependencies
Dependency updates.

- Updated dependencies.

## 2017-06-01 - 1.0.11 - dependencies
Dependency updates.

- Updated dependencies.

## 2017-06-01 - 1.0.10 - CLI improvements
Enhanced CLI error prevention.

- Prevented error due to empty defaults.yml.

## 2017-05-27 - 1.0.9 - dependencies
Dependency updates.

- Updated dependencies.

## 2017-05-27 - 1.0.8 - templating
Improved file templating support.

- Added support for frontmatter for advanced file templating.

## 2017-05-27 - 1.0.7 - documentation
Documentation improvements.

- Added docs.

## 2017-05-27 - 1.0.6 - fixes
Minor fixes.

- Fixed deep add.

## 2017-05-26 - 1.0.5 - smartfile updates
Smartfile updates.

- Updated smartfile.

## 2017-05-26 - 1.0.4 - tests
Test fixes.

- Fixed tests.

## 2017-05-26 - 1.0.3 - smartfile updates
Smartfile updates.

- Updated smartfile.

## 2017-05-25 - 1.0.2 - functionality
Minor functionality improvements.

- Ensured proper functionality.

## 2017-05-25 - 1.0.1 - core
Core fixes.

- Fixed working issues.

## 2017-05-06 - 1.0.0 - initial release and CLI integration
The initial release introducing CLI support and project setup.

- Added CLI to prompt for missing variables.
- Started CLI integration.
- Added readme and CI tslint configuration.
- Performed initial setup and various update tasks.